Skip to main content
PUT
/
api
/
prompts
/
{id}
cURL
curl --request PUT \
  --url https://api.production.hyperoru.com/api/prompts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "template_text": "<string>",
  "description": "<string>",
  "updated_by": "<string>"
}
'
{
  "created_by": "<string>",
  "id": 123,
  "is_deleted": true,
  "is_system": true,
  "key": "<string>",
  "name": "<string>",
  "system_template_text": "<string>",
  "template_text": "<string>",
  "created_at": "<string>",
  "description": "<string>",
  "updated_at": "<string>",
  "updated_by": "<string>"
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Path Parameters

id
integer<int32>
required

Template ID

Body

application/json
template_text
string
required
description
string | null
updated_by
string | null

Response

Update prompt template

created_by
string
required
id
integer<int32>
required
is_deleted
boolean
required
is_system
boolean
required
key
string
required
name
string
required
system_template_text
string
required
template_text
string
required
created_at
string | null
description
string | null
updated_at
string | null
updated_by
string | null